| DocBook: The Definitive Guide 2.0.17 (Alpha)

# informaltable

$Revision$

$Date$

informaltable — A table without a title

## Synopsis

### Content Model

    informaltable ::=
    (blockinfo?,
     ((textobject*,
       (graphic+|mediaobject+|tgroup+))|
      ((col*|colgroup*),
       thead?,tfoot?,
       (tbody+|tr+))))

### Attributes

Common attributes

Name | Type | Default
rowsep | CDATA | None
ondblclick | CDATA | None
floatstyle | CDATA | None
onkeydown | CDATA | None
onkeyup | CDATA | None
onmouseup | CDATA | None
onmouseover | CDATA | None

align

Enumeration:
center
left
right

None

pgwide | CDATA | None

orient

Enumeration:
land
port

None

onkeypress | CDATA | None
onmousedown | CDATA | None
onclick | CDATA | None
title | CDATA | None
class | CDATA | None
label | CDATA | None
width | CDATA | None

frame

Enumeration:
above
all
below
border
bottom
box
hsides
lhs
none
rhs
sides
top
topbot
void
vsides

None

rules | CDATA | None
bgcolor | CDATA | None
summary | CDATA | None
tabstyle | CDATA | None
cellspacing | CDATA | None
colsep | CDATA | None
shortentry | CDATA | None
onmouseout | CDATA | None
style | CDATA | None
onmousemove | CDATA | None
xml:lang | NMTOKEN | None
border | CDATA | None

rowheader

Enumeration:
firstcol
norowheader

None

cellpadding | CDATA | None
tocentry | CDATA | None

## Description

An `InformalTable` element identifies an informal table (one without a `Title`). DocBook uses the CALS table model, which describes tables geometrically using rows, columns, and cells.

Tables may include column headers and footers, but there is no provision for row headers.

### Processing expectations

Formatted as a displayed block.

### Note

It is an error to supply a `title` in the `blockinfo` for an informal table.

This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 .

### Future Changes

The OASIS Exchange Table Model will replace the full OASIS Table Model.

### Parents

These elements contain informaltable: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caution`, `chapter`, `constraintdef`, `example`, `figure`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `orderedlist`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`, `td`, `th`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in informaltable: `blockinfo`, `col`, `colgroup`, `graphic`, `mediaobject`, `tbody`, `textobject`, `tfoot`, `tgroup`, `thead`, `tr`.

## Attributes

colsep

  If `ColSep` has the value 1 (true), then a rule will be drawn to the right of all columns in this table. A value of 0 (false) suppresses the rule. The rule to the right of the last column in the table is controlled by the `Frame` attribute, not the `ColSep`.

frame

  `Frame` specifies how the table is to be framed:

  Value | Meaning
  --- | ---
  `all` | Frame all four sides of the table. In some environments with limited control over table border formatting, such as HTML, this may imply additional borders.
  `bottom` | Frame only the bottom of the table.
  `none` | Place no border on the table. In some environments with limited control over table border formatting, such as HTML, this may disable other borders as well.
  `sides` | Frame the left and right sides of the table.
  `top` | Frame the top of the table.
  `topbot` | Frame the top and bottom of the table.

  There is no way to obtain a border on only the starting edge (left, in left-to-right writing systems) of the table.

label

  `Label` specifies an identifying string for presentation purposes.

  Generally, an explicit `Label` attribute is used only if the processing system is incapable of generating the label automatically. If present, the `Label` is normative; it will used even if the processing system is capable of automatic labelling.

orient

  `Orient` specifies the orientation of the `InformalTable`. An orientation of `Port` is the “upright”, the same orientation as the rest of the text flow. An orientation of `Land` is 90 degrees counterclockwise from the upright orientation.

pgwide

  If `Pgwide` has the value 0 (false), then the `InformalTable` is rendered in the current text flow (with flow column width). A value of 1 (true) specifies that the table should be rendered across the full text page.

rowsep

  If `RowSep` has the value 1 (true), then a rule will be drawn below all the rows in the `InformalTable` (unless other, interior elements, suppress some or all of the rules). A value of 0 (false) suppresses the rule. The rule below the last row in the table is controlled by the `Frame` attribute and the `RowSep` of the last row is ignored.

shortentry

  This attribute is meaningless on `InformalTable`..

tabstyle

  `TabStyle` holds the name of a table style defined in a stylesheet (e.g., a FOSI) that will be used to process this document.

tocentry

  This attribute is meaningless on `InformalTable`.

## See Also

`colspec`, `entry`, `entrytbl`, `equation`, `example`, `figure`, `informalequation`, `informalexample`, `informalfigure`, `row`, `spanspec`, `table`, `tbody`, `tfoot`, `tgroup`, `thead`.

## Examples

    <!DOCTYPE informaltable PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <informaltable frame='none'>
    <tgroup cols='2'>
    <colspec colwidth='0.5in'/>
    <colspec colwidth='0.5in'/>
    <tbody>
    <row><entry>1</entry><entry>1</entry></row>
    <row><entry>2</entry><entry>4</entry></row>
    <row><entry>3</entry><entry>9</entry></row>
    </tbody>
    </tgroup>
    </informaltable>

1 | 1
2 | 4
3 | 9

For additional examples, see also `entrytbl`, `footnoteref`.

informalfigure |  | initializer

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.